%define       name gasell
%define       oname gasell-core
%define       version 0.6.1
%define       release %mkrel 3

Summary:      Web based application to manage a French association
Name:         %{name}
Version:      %{version}
Release:      %{release}
Source0:      %{name}-%{version}.tar.bz2
License:      GPL
Group:        Monitoring
Url:          http://www.gasell.org/
BuildRoot:    %{_tmppath}/%{name}-buildroot
BuildRequires: apache-base > 2.0.54-5mdk
Requires:     postgresql-server
Requires:     php >= 4.1
Requires:     apache-base
BuildArch:    noarch

%description
GASELL is a web based application written in PHP and using the PostgreSQL
database manager to make easier managing a 1901 law type French association.
It provides members management, membership-fee management, activities and
its functionalities can be extended thanks to modules (comptability, ...).
To know more, visit http://www.gasell.org. It is an ongoing project and
is still unstable, it is provided to users to realize tests.

#--------------------------------------------------------------------

%posttrans
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,apache,apache)
%_var/www/%name
%_sysconfdir/httpd/conf/webapps.d/%{name}.conf

#--------------------------------------------------------------------


%prep
%setup -q -n %name 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_var/www
(
cd %buildroot%_var/www
tar xjf %{SOURCE0}
)


mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} configuration

Alias /%{name} /var/www/%name

<Directory /var/www/%name>
    Allow from all
    <Files helpdesk.html>
        ForceType text/html;charset=utf-8
    </Files>
</Directory>
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Dec 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.1-3mdv2007.0
+ Revision: 102071
- Add  Require
- Remove french description and summary
- Fix description
- Fix conf file

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.1-1mdv2007.1
+ Revision: 63410
- new tarball for 0.6.1
- New Release 0.6.1
- Fix specfile
- some cleanup
- import gasell-0.6-1mdv2007.0


